######	HPVCA configuration script #####

hpvca_configure()
{

	[ -x /sbin/pidof ] && PIDOF=/sbin/pidof || PIDOF=pidof
	
	if [ -x /etc/init.d/hpvca ]; then
		HPVCASCRIPT="/etc/init.d/hpvca"
	elif [ -x /etc/rc.d/init.d/hpvca ]; then
		HPVCASCRIPT="/etc/rc.d/init.d/hpvca"
	fi

	if [ -n "`$PIDOF vcagentd 2> /dev/null`" ]; then
		ACTION="stop"
	fi

	if [ -n "$HPVCASCRIPT" ]; then
		if [ -z $ACTION ]; then
			/opt/hp/vcagent/bin/vcasetup
			#sleep 2	
			(cd /; $HPVCASCRIPT start) < /dev/null 2>&1
		else
			(cd /; $HPVCASCRIPT $ACTION) < /dev/null 2>&1
			/opt/hp/vcagent/bin/vcasetup
			#sleep 2
			(cd /; $HPVCASCRIPT start) < /dev/null 2>&1
		fi
	fi
}

if [ -f "/opt/hp/vcagent/etc/vcagent.conf" ]; then
	mv /opt/hp/vcagent/etc/vcagent.conf /opt/hp/vcagent/etc/vcagent.conf.bkp
fi

hpvca_configure

if [ ! -f "/opt/hp/vcagent/etc/vcagent.conf" ]; then
	if [ -f "/opt/hp/vcagent/etc/vcagent.conf.bkp" ]; then
	        mv /opt/hp/vcagent/etc/vcagent.conf.bkp /opt/hp/vcagent/etc/vcagent.conf
	fi
fi

if [ -f "/opt/hp/vcagent/etc/vcagent.conf.bkp" ]; then
	rm -rf /opt/hp/vcagent/etc/vcagent.conf.bkp
fi
